#!/bin/ksh

binDir=`dirname "$0"`
. "$binDir"/setupCmdLine.sh

isJavaOption=false
nonJavaOptionCount=1
for option in "$@" ; do
  if [ "$option" = "-javaoption" ] ; then
     isJavaOption=true
  else
     if [ "$isJavaOption" = "true" ] ; then
        javaOption="$javaOption $option"
        isJavaOption=false
     else 
        nonJavaOption[$nonJavaOptionCount]="$option"
        nonJavaOptionCount=$((nonJavaOptionCount+1))
     fi
  fi
done

# Set java options for performance
PERF_JVM_OPTIONS="-Xms512m -Xmx768m -XX:PermSize=128m -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass"
CONSOLE_ENCODING=-Dws.output.encoding=console
LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

#WAS_MIGR_DEBUG_POST="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8888"

"$JAVA_HOME/bin/java" \
  $WAS_MIGR_DEBUG_POST \
  "$OSGI_INSTALL" "$OSGI_CFG" \
  $EXTRA_X_ARG \
  $CONSOLE_ENCODING \
  -DKeepProfileName=true \
  -Dcom.ibm.jsse2.checkRevocation=false \
  -Dcom.ibm.security.enableCRLDP=false \
  -Dcom.ibm.ws.migration.currentProfileLogLocation="$USER_INSTALL_ROOT" \
  -Dcom.ibm.SSL.ConfigURL="file:$USER_INSTALL_ROOT/properties/ssl.client.props" \
  -Dws.ext.dirs="$WAS_EXT_DIRS" \
  -Djava.endorsed.dirs="$WAS_ENDORSED_DIRS" \
  -Djava.ext.dirs="$WAS_JAVA_EXT_DIRS" \
  -Duser.install.root="$USER_INSTALL_ROOT" \
  -Dwas.install.root="$WAS_HOME" \
  -Dcom.ibm.ws.migration.ulimit=`ulimit -n` \
  -Dcom.ibm.ws.migration.javaoptions="$javaOption" \
  $PERF_JVM_OPTIONS \
  $javaOption \
  ${JAASSOAP:+"$JAASSOAP"} \
  $WAS_LOGGING \
  $EXTRA_D_ARG \
  $JVM_EXTRA_CMD_ARGS \
  -classpath "$WAS_CLASSPATH":"$WAS_HOME"/properties:"$WAS_HOME"/derby/migration/derby10.3.jar:"$WAS_HOME"/derby/migration/migratetoderby.jar \
  com.ibm.wsspi.bootstrap.WSPreLauncher \
  -nosplash  -application com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.migration.WASPostUpgrade "${nonJavaOption[@]}"
  rc=$?
  exit $rc